package com.usky.issue.service.mqtt.event;

import com.alibaba.fastjson.JSONObject;
import com.usky.issue.service.job.JgDataForward;
import com.usky.issue.service.mqtt.MqttStrategy;
import com.usky.issue.service.vo.MqttBaseVO;
import org.springframework.beans.factory.annotation.Autowired;

public class event implements MqttStrategy {
    @Autowired
    private JgDataForward jgDataForward;

    //处理下发命令响应消息
    public String disposeMessage(MqttBaseVO mqttBaseVO) {

        try {
            JSONObject eventVO1 = JSONObject.parseObject(mqttBaseVO.getData().toString());
            JSONObject eventVO = new JSONObject();
            JSONObject eventVO2 = new JSONObject();
            System.out.println("FEventReceiver消费者收到消息： " + mqttBaseVO.getData().toString());
        } catch (Exception e){
            e.printStackTrace();
        }

        return null;
    }
}
